<?php

/**
 *
 * 作废信息类
 *
 */
class InvalidInfo implements JsonSerializable {

    private $contractId;
	private $bizId;
	private $tenantName;
	private $title;
	private $fileSuffix;
	private $deleteDoc;
	private $invalidReason;
	private $stampers;

    public function jsonSerialize() {
        $data = [];
        foreach ($this as $key=>$val){
            if ($val !== null) $data[$key] = $val;
        }
        if(sizeof($data) < 1){
            return null;
        }
        return $data;
    }

    /**
     * @return mixed
     */
    public function getContractId()
    {
        return $this->contractId;
    }

    /**
     * @param mixed $contractId
     */
    public function setContractId($contractId)
    {
        $this->contractId = $contractId;
    }

    /**
     * @return mixed
     */
    public function getBizId()
    {
        return $this->bizId;
    }

    /**
     * @param mixed $bizId
     */
    public function setBizId($bizId)
    {
        $this->bizId = $bizId;
    }

    /**
     * @return mixed
     */
    public function getTenantName()
    {
        return $this->tenantName;
    }

    /**
     * @param mixed $tenantName
     */
    public function setTenantName($tenantName)
    {
        $this->tenantName = $tenantName;
    }

    /**
     * @return mixed
     */
    public function getTitle()
    {
        return $this->title;
    }

    /**
     * @param mixed $title
     */
    public function setTitle($title)
    {
        $this->title = $title;
    }

    /**
     * @return mixed
     */
    public function getFileSuffix()
    {
        return $this->fileSuffix;
    }

    /**
     * @param mixed $fileSuffix
     */
    public function setFileSuffix($fileSuffix)
    {
        $this->fileSuffix = $fileSuffix;
    }

    /**
     * @return mixed
     */
    public function getDeleteDoc()
    {
        return $this->deleteDoc;
    }

    /**
     * @param mixed $deleteDoc
     */
    public function setDeleteDoc($deleteDoc)
    {
        $this->deleteDoc = $deleteDoc;
    }

    /**
     * @return mixed
     */
    public function getInvalidReason()
    {
        return $this->invalidReason;
    }

    /**
     * @param mixed $invalidReason
     */
    public function setInvalidReason($invalidReason)
    {
        $this->invalidReason = $invalidReason;
    }

    /**
     * @return mixed
     */
    public function getStampers()
    {
        return $this->stampers;
    }

    /**
     * @param mixed $stampers
     */
    public function setStampers($stampers)
    {
        $this->stampers = $stampers;
    }



}