<?php
class SealImageInfo implements JsonSerializable {

    private $style;             // 印章样式
    private $spec;              // 印章规格
    private $branchName;        // 分公司名称
    private $foot;              // 下文横排文字
    private $enterpriseCode;    // 企业信息编码
    private $enContent;         // 环排英文文字
    private $edgeWidth;         // 圆边宽

    public function jsonSerialize() {
        $data = [];
        foreach ($this as $key=>$val){
            if ($val !== null) $data[$key] = $val;
        }
        if(sizeof($data) < 1){
            return null;
        }
        return $data;
    }


    public function getStyle()
    {
        return $this->style;
    }

    public function setStyle($style)
    {
        $this->style = $style;
    }

    public function getSpec()
    {
        return $this->spec;
    }

    public function setSpec($spec)
    {
        $this->spec = $spec;
    }

    public function getBranchName()
    {
        return $this->branchName;
    }

    public function setBranchName($branchName)
    {
        $this->branchName = $branchName;
    }

    public function getFoot()
    {
        return $this->foot;
    }

    public function setFoot($foot)
    {
        $this->foot = $foot;
    }

    public function getEnterpriseCode()
    {
        return $this->enterpriseCode;
    }

    public function setEnterpriseCode($enterpriseCode)
    {
        $this->enterpriseCode = $enterpriseCode;
    }

    public function getEnContent()
    {
        return $this->enContent;
    }

    public function setEnContent($enContent)
    {
        $this->enContent = $enContent;
    }

    public function getEdgeWidth()
    {
        return $this->edgeWidth;
    }

    public function setEdgeWidth($edgeWidth)
    {
        $this->edgeWidth = $edgeWidth;
    }
}