<?php

/**
 * 获取企业认证结果
 */
class CompanyAuthResultRequest extends SdkRequest {

    const REQUEST_URL = '/companyauth/result';

    private $companyName;       // 待查询的认证公司名称
    private $requestId;         // 认证请求ID

    function getUrl() {
        return self::REQUEST_URL;
    }

    function getHttpParamers() {
        $paramSwitcher = ParamSwitcher::instanceParam();
        $paramSwitcher->addParam('companyName', $this->companyName);
        $paramSwitcher->addParam('requestId', $this->requestId);

        $httpParamer = HttpParameter::httpGetParamer();
        $httpParamer->setParams($paramSwitcher->getParams());
        return $httpParamer;
    }

    /**
     * @return mixed
     */
    public function getCompanyName()
    {
        return $this->companyName;
    }

    /**
     * @param mixed $companyName
     */
    public function setCompanyName($companyName)
    {
        $this->companyName = $companyName;
    }

    /**
     * @return mixed
     */
    public function getRequestId()
    {
        return $this->requestId;
    }

    /**
     * @param mixed $requestId
     */
    public function setRequestId($requestId)
    {
        $this->requestId = $requestId;
    }

}