<?php

class SaaSCompanyAuthUrlRequest extends SdkRequest {

    const REQUEST_URL = "/saas/v2/companyauth/url";

    private $companyId;

    public function getUrl() {
        return self::REQUEST_URL;
    }

    public function getHttpParamers() {
        $paramSwitcher = ParamSwitcher::instanceParam();
        $paramSwitcher->addParam('companyId', $this->companyId);
        $httpParameters = HttpParameter::httpPostParamer();
        $httpParameters->setJsonParams(json_encode($paramSwitcher->getParams()));
        return $httpParameters;
    }

    public function __construct() {
    	$count = func_num_args();
    	$args=func_get_args();
    	if (method_exists($this,$f='__construct'.$count)) {
    		call_user_func_array(array($this,$f),$args);
    	}
    }

    public function __construct0() {
    }

    /**
     * @return mixed
     */
    public function getCompanyId()
    {
        return $this->companyId;
    }

    /**
    * @param mixed $companyId
     */
    public function setCompanyId($companyId)
    {
        $this->companyId = $companyId;
    }



}