<?php

class SubCompanyInviteRequest extends SdkRequest {

    const REQUEST_URL = "/v2/subcompany/invite";

    private $companyName;
	private $callbackUrl;

    public function __construct() {
    	$count = func_num_args();
    	$args=func_get_args();
    	if (method_exists($this,$f='__construct'.$count)) {
    		call_user_func_array(array($this,$f),$args);
    	}
    }

    public function __construct0() {
    }

    public function __construct1($companyName) {
    	$this->companyName = $companyName;
    }

    public function __construct2($companyName, $callbackUrl) {
        $this->companyName = $companyName;
        $this->callbackUrl = $callbackUrl;
    }

    public function getUrl() {
        return self::REQUEST_URL;
    }

    public function getHttpParamers() {
        $paramSwitcher = ParamSwitcher::instanceParam();
        $paramSwitcher->addParam('companyName', $this->companyName);
        $paramSwitcher->addParam('callbackUrl', $this->callbackUrl);
        $httpParameters = HttpParameter::httpPostParamer();
        $httpParameters->setJsonParams(json_encode($paramSwitcher->getParams()));
        return $httpParameters;
    }

    /**
     * @return mixed
     */
    public function getCompanyName()
    {
    	return $this->companyName;
    }

    /**
    * @param mixed $companyName
     */
    public function setCompanyName($companyName)
    {
    	$this->companyName = $companyName;
    }

    /**
     * @return mixed
     */
    public function getCallbackUrl()
    {
    	return $this->callbackUrl;
    }

    /**
    * @param mixed $callbackUrl
     */
    public function setCallbackUrl($callbackUrl)
    {
    	$this->callbackUrl = $callbackUrl;
    }



}