<?php

class TemplateEditRequest extends SdkRequest {

    const REQUEST_URL = "/v2/template/edit";  //接口地址

    private $templateId;
	private $title;
	private $templateParams;

    public function getUrl() {
        return self::REQUEST_URL;
    }

    public function getHttpParamers() {
        $paramSwitcher = ParamSwitcher::instanceParam();
        $paramSwitcher->addParam('templateId', $this->templateId);
        $paramSwitcher->addParam('title', $this->title);
        $paramSwitcher->addParam('templateParams', $this->templateParams);
        $httpParameters = HttpParameter::httpPostParamer();
        $httpParameters->setJsonParams(json_encode($paramSwitcher->getParams()));
        return $httpParameters;

    }

    /**
     * @return mixed
     */
    public function getTemplateId()
    {
        return $this->templateId;
    }

    /**
     * @param mixed $templateId
     */
    public function setTemplateId($templateId)
    {
        $this->templateId = $templateId;
    }

    /**
     * @return mixed
     */
    public function getTitle()
    {
        return $this->title;
    }

    /**
     * @param mixed $title
     */
    public function setTitle($title)
    {
        $this->title = $title;
    }

    /**
     * @return mixed
     */
    public function getTemplateParams()
    {
        return $this->templateParams;
    }

    /**
     * @param mixed $templateParams
     */
    public function setTemplateParams($templateParams)
    {
        $this->templateParams = $templateParams;
    }
}