<?php

class VerifierRequest extends SdkRequest {

    const REQUEST_URL = "/v2/verify";

    private $file;
    private $showImg;

    function getUrl() {
        return self::REQUEST_URL;
    }

    function getHttpParamers() {
        $paramSwitcher = ParamSwitcher::instanceParam();
        $paramSwitcher->addParam('file', $this->file);
        $paramSwitcher->addParam('showImg', $this->showImg);

        $httpParameters = HttpParameter::httpPostParamer();
        $httpParameters->setParams($paramSwitcher->getParams());
        return $httpParameters;
    }

    /**
     * @return mixed
     */
    public function getFile()
    {
        return $this->file;
    }

    /**
     * @param mixed $file
     */
    public function setFile($file)
    {
        $this->file = $file;
    }

    /**
     * @return mixed
     */
    public function getShowImg()
    {
        return $this->showImg;
    }

    /**
     * @param mixed $showImg
     */
    public function setShowImg($showImg)
    {
        $this->showImg = $showImg;
    }
}