<?php
class UserAuthInfo implements JsonSerializable {


    private $idCardNo;	// 身份证号，认证时自动填入
    private $bankNo;		// 银行卡号，认证时自动填入
    private $bankMobile;	// 银行卡绑定手机号

    public function jsonSerialize() {
        $data = [];
        foreach ($this as $key=>$val){
            if ($val !== null) $data[$key] = $val;
        }
        if(sizeof($data) < 1){
            return null;
        }
        return $data;
    }

    /**
     * @return mixed
     */
    public function getIdCardNo()
    {
        return $this->idCardNo;
    }

    /**
     * @param mixed $idCardNo
     */
    public function setIdCardNo($idCardNo)
    {
        $this->idCardNo = $idCardNo;
    }

    public function getBankNo()
    {
        return $this->bankNo;
    }

    /**
     * @param mixed $bankNo
     */
    public function setBankNo($bankNo)
    {
        $this->bankNo = $bankNo;
    }

    public function getBankMobile()
    {
        return $this->bankMobile;
    }

    /**
     * @param mixed $bankMobile
     */
    public function setBankMobile($bankMobile)
    {
        $this->bankMobile = $bankMobile;
    }




}