<?php

class EmployeeSealImageRequest extends SdkRequest {

    const REQUEST_URL = "/v2/seal/employeesealimage";  // 附件接口地址

    private $companyName;
	private $contact;
	private $contactType;

	public function __construct() {
	    $count = func_num_args();
	    $args=func_get_args();
	    if (method_exists($this,$f='__construct'.$count)) {
	        call_user_func_array(array($this,$f),$args);
	    }
	}

    public function __construct0() {
    }

    public function __construct2($contact, $contactType) {
    	$this->contact = $contact;
    	$this->contactType = $contactType;
    }
    
    public function getUrl() {
        return self::REQUEST_URL;
    }
    
    public function getHttpParamers() {
        $paramSwitcher = ParamSwitcher::instanceParam();
        $paramSwitcher->addParam('companyName', $this->companyName);
        $paramSwitcher->addParam('contact', $this->contact);
        $paramSwitcher->addParam('contactType', $this->contactType);
        $httpParameters = HttpParameter::httpGetParamer();
        $httpParameters->setParams($paramSwitcher->getParams());
        return $httpParameters;
    }

    /**
     * @return mixed
     */
    public function getCompanyName()
    {
        return $this->companyName;
    }

    /**
     * @param mixed $companyName
     */
    public function setCompanyName($companyName)
    {
        $this->companyName = $companyName;
    }

    /**
     * @return mixed
     */
    public function getContact()
    {
        return $this->contact;
    }

    /**
     * @param mixed $contact
     */
    public function setContact($contact)
    {
        $this->contact = $contact;
    }

    /**
     * @return mixed
     */
    public function getContactType()
    {
        return $this->contactType;
    }

    /**
     * @param mixed $contactType
     */
    public function setContactType($contactType)
    {
        $this->contactType = $contactType;
    }

}