<?php

class OpenSSOPrivilegeUrlRequest extends SdkRequest {

    const REQUEST_URL = "/v2/ssoprivilege/url";

	private $company;
	private $user;
	private $successUrl;
	private $callbackUrl;

    public function getUrl() {
        return self::REQUEST_URL;
    }

    public function getHttpParamers() {
        $paramSwitcher = ParamSwitcher::instanceParam();
        $paramSwitcher->addParam('company', $this->company);
        $paramSwitcher->addParam('user', $this->user);
        $paramSwitcher->addParam('successUrl',$this->successUrl);
        $paramSwitcher->addParam('callbackUrl',$this->callbackUrl);
        $httpParameters = HttpParameter::httpPostParamer();
        $httpParameters->setJsonParams(json_encode($paramSwitcher->getParams()));
        return $httpParameters;
    }


    /**
     * @return mixed
     */
    public function getCompany()
    {
    	return $this->company;
    }

    /**
    * @param mixed $companyId
     */
    public function setCompany($company)
    {
    	$this->company = $company;
    }

    /**
     * @return mixed
     */
    public function getUser()
    {
    	return $this->user;
    }

    /**
    * @param mixed $user
     */
    public function setUser($user)
    {
    	$this->user = $user;
    }

    /**
     * @return mixed
     */
    public function getSuccessUrl()
    {
    	return $this->successUrl;
    }

    /**
    * @param mixed $successUrl
     */
    public function setSuccessUrl($successUrl)
    {
    	$this->successUrl = $successUrl;
    }

    /**
     * @return mixed
     */
    public function getCallbackUrl()
    {
    	return $this->callbackUrl;
    }

    /**
    * @param mixed $callbackUrl
     */
    public function setCallbackUrl($callbackUrl)
    {
    	$this->callbackUrl = $callbackUrl;
    }
    
}