<?php

class SealEditRequest extends SdkRequest {

    const REQUEST_URL = "/v2/seal/edit";  //接口地址

    private $sealId;
	private $sealName;
	private $operate;
    private $sealUsers;

    public function getUrl() {
        return self::REQUEST_URL;
    }

    public function getHttpParamers() {
        $paramSwitcher = ParamSwitcher::instanceParam();
        $paramSwitcher->addParam('sealId', $this->sealId);
        $paramSwitcher->addParam('sealName', $this->sealName);
        $paramSwitcher->addParam('operate',$this->operate);
        $paramSwitcher->addParam('sealUsers',$this->sealUsers);
        $httpParameters = HttpParameter::httpPostParamer();
        $httpParameters->setJsonParams(json_encode($paramSwitcher->getParams()));
        return $httpParameters;

    }

    /**
     * @return mixed
     */
    public function getSealId()
    {
        return $this->sealId;
    }

    /**
     * @param mixed $sealId
     */
    public function setSealId($sealId)
    {
        $this->sealId = $sealId;
    }

    /**
     * @return mixed
     */
    public function getSealName()
    {
        return $this->sealName;
    }

    /**
     * @param mixed $sealName
     */
    public function setSealName($sealName)
    {
        $this->sealName = $sealName;
    }

    /**
     * @return mixed
     */
    public function getOperate()
    {
        return $this->operate;
    }

    /**
     * @param mixed $operate
     */
    public function setOperate($operate)
    {
        $this->operate = $operate;
    }

    /**
     * @return mixed
     */
    public function getSealUsers()
    {
        return $this->sealUsers;
    }

    /**
     * @param mixed $sealUsers
     */
    public function setSealUsers($sealUsers)
    {
        $this->sealUsers = $sealUsers;
    }
}