<?php

class SealStatusManageRequest extends SdkRequest {

    const REQUEST_URL = "/v2/seal/status";

    private $sealId;
	private $operate;

    public function getUrl() {
        return self::REQUEST_URL;
    }

    public function __construct() {
    	$count = func_num_args();
    	$args=func_get_args();
    	if (method_exists($this,$f='__construct'.$count)) {
    		call_user_func_array(array($this,$f),$args);
    	}
    }

    public function __construct0() {
    }

    public function __construct1($sealId, $operate) {
        $this->sealId = $sealId;
        $this->operate = $operate;
    }

    public function getHttpParamers() {
        $paramSwitcher = ParamSwitcher::instanceParam();
        $paramSwitcher->addParam('sealId', $this->sealId);
        $paramSwitcher->addParam('operate', $this->operate);
        $httpParameters = HttpParameter::httpPostParamer();
        $httpParameters->setJsonParams(json_encode($paramSwitcher->getParams()));
        return $httpParameters;
    }

    /**
     * @return mixed
     */
    public function getSealId()
    {
    	return $this->sealId;
    }

    /**
    * @param mixed $sealId
     */
    public function setSealId($sealId)
    {
    	$this->sealId = $sealId;
    }

    /**
     * @return mixed
     */
    public function getOperate()
    {
    	return $this->operate;
    }

    /**
    * @param mixed $operate
     */
    public function setOperate($operate)
    {
    	$this->operate = $operate;
    }





}