<?php

class SignatoryAddRequest extends SdkRequest {

    const ADDSIGNATORY_URL="/v2/signatory/add";

    private $contractId;
    private $bizId;
    private $signatory;
    private $tenantName;

    public function getUrl() {
        return self::ADDSIGNATORY_URL;
    }

    public function getHttpParamers() {
        $paramSwitcher = ParamSwitcher::instanceParam();
        $paramSwitcher->addParam('contractId', $this->contractId);
        $paramSwitcher->addParam('bizId', $this->bizId);
        $paramSwitcher->addParam('signatory', $this->signatory);
        $paramSwitcher->addParam('tenantName', $this->tenantName);

        $httpParameters = HttpParameter::httpPostParamer();
        $httpParameters->setJsonParams(json_encode($paramSwitcher->getParams()));
        return $httpParameters;
    }

    /**
     * @return mixed
     */
    public function getContractId()
    {
        return $this->contractId;
    }

    /**
     * @param mixed $contractId
     */
    public function setContractId($contractId)
    {
        $this->contractId = $contractId;
    }

    /**
     * @return mixed
     */
    public function getBizId()
    {
        return $this->bizId;
    }

    /**
     * @param mixed $bizId
     */
    public function setBizId($bizId)
    {
        $this->bizId = $bizId;
    }

    /**
     * @return mixed
     */
    public function getSignatory()
    {
        return $this->signatory;
    }

    /**
     * @param mixed $signatory
     */
    public function setSignatory($signatory)
    {
        $this->signatory = $signatory;
    }

    /**
     * @return mixed
     */
    public function getTenantName()
    {
        return $this->tenantName;
    }

    /**
     * @param mixed $tenantName
     */
    public function setTenantName($tenantName)
    {
        $this->tenantName = $tenantName;
    }

}