<?php

class SignatoryEditRequest extends SdkRequest {

    const REQUEST_URL = "/v2/signatory/edit";

    private $signatoryId;
    private $tenantName;
    private $receiver;

    function getUrl() {
        return self::REQUEST_URL;
    }

    function getHttpParamers() {
        $paramSwitcher = ParamSwitcher::instanceParam();
        $paramSwitcher->addParam('signatoryId', $this->signatoryId);
        $paramSwitcher->addParam('tenantName', $this->tenantName);
        $paramSwitcher->addParam('receiver', $this->receiver);

        $httpParameters = HttpParameter::httpPostParamer();
        $httpParameters->setJsonParams(json_encode($paramSwitcher->getParams()));
        return $httpParameters;
    }

    /**
     * @return mixed
     */
    public function getSignatoryId()
    {
        return $this->signatoryId;
    }

    /**
     * @param mixed $signatoryId
     */
    public function setSignatoryId($signatoryId)
    {
        $this->signatoryId = $signatoryId;
    }

    /**
     * @return mixed
     */
    public function getTenantName()
    {
        return $this->tenantName;
    }

    /**
     * @param mixed $tenantName
     */
    public function setTenantName($tenantName)
    {
        $this->tenantName = $tenantName;
    }

    /**
     * @return mixed
     */
    public function getReceiver()
    {
        return $this->receiver;
    }

    /**
     * @param mixed $receiver
     */
    public function setReceiver($receiver)
    {
        $this->receiver = $receiver;
    }

}